# Uses of Interface
org.eclipse.birt.report.engine.api.script.element.IRow

Packages that use IRow
Package
Description
org.eclipse.birt.report.engine.api.script.eventadapter
This package contains adapters for the event handler interfaces in org.eclipse.birt.report.engine.api.script.eventhandler.
org.eclipse.birt.report.engine.api.script.eventhandler
This package contains event handler interfaces for the BIRT scripting environment.

## Uses of IRow in org.eclipse.birt.report.engine.api.script.eventadapter

Methods in org.eclipse.birt.report.engine.api.script.eventadapter with parameters of type IRow
Modifier and Type
Method
Description
`void`
RowEventAdapter.`onPrepare(IRow rowHandle, IReportContext reportContext)`

## Uses of IRow in org.eclipse.birt.report.engine.api.script.eventhandler

Methods in org.eclipse.birt.report.engine.api.script.eventhandler with parameters of type IRow
Modifier and Type
Method
Description
`void`
IRowEventHandler.`onPrepare(IRow rowHandle, IReportContext reportContext)`
Handle the onPrepare event